Bug 784784 - Review Request: ghc-base-unicode-symbols - Unicode alternatives to common Haskell operators and functions
Review Request: ghc-base-unicode-symbols - Unicode alternatives to common Has...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-monad-control
  Show dependency treegraph
 
Reported: 2012-01-26 03:53 EST by Jens Petersen
Modified: 2012-03-17 19:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: ghc-base-unicode-symbols-0.2.2.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 14:44:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-01-26 03:53:30 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-base-unicode-symbols/ghc-base-unicode-symbols.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-base-unicode-symbols/ghc-base-unicode-symbols-0.2.2.3-1.fc16.src.rpm
Description:
This package defines new symbols for a number of functions,
operators and types in the base package.

All symbols are documented with their actual definition and
information regarding their Unicode code point. They should be
completely interchangeable with their definitions.

For further Unicode goodness you can enable the UnicodeSyntax
language extension [1]. This extension enables Unicode characters
to be used to stand for certain ASCII character sequences,
i.e. → instead of ->, ∀ instead of forall and many others.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3733968

Needed by monad-control and lifted-base.

http://packdeps.haskellers.com/reverse/base-unicode-symbols
Comment 2 Ben Boeckel 2012-03-04 10:44:55 EST
Taking.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.

Uses ghc_arches.

[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/boeckb/misc/code/review/base-unicode-symbols-0.2.2.3.tar.gz :
  MD5SUM this package     : 75c0492d0189bfda7ab045aeb6b710fd
  MD5SUM upstream package : 75c0492d0189bfda7ab045aeb6b710fd

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.

ghc-base-unicode-symbols.src: W: spelling-error %description -l en_US forall -> floral, for all, for-all
ghc-base-unicode-symbols.x86_64: W: spelling-error %description -l en_US forall -> floral, for all, for-all
ghc-base-unicode-symbols-devel.x86_64: W: spelling-error %description -l en_US forall -> floral, for all, for-all
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:

APPROVED.
Comment 3 Jens Petersen 2012-03-04 21:12:54 EST
Thank you for reviewing the package.


New Package SCM Request
=======================
Package Name: ghc-base-unicode-symbols
Short Description: Unicode alternatives to Haskell operators and functions
Owners: petersen
Branches: f17 f16 f15 el6
InitialCC: haskell-sig
Comment 4 Jens Petersen 2012-03-06 02:15:48 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-03-06 05:13:40 EST
ghc-base-unicode-symbols-0.2.2.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-base-unicode-symbols-0.2.2.3-1.fc16
Comment 6 Fedora Update System 2012-03-06 05:13:54 EST
ghc-base-unicode-symbols-0.2.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-base-unicode-symbols-0.2.2.3-1.fc17
Comment 7 Fedora Update System 2012-03-06 05:14:31 EST
ghc-base-unicode-symbols-0.2.2.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-base-unicode-symbols-0.2.2.3-1.fc15
Comment 8 Fedora Update System 2012-03-07 02:22:57 EST
ghc-base-unicode-symbols-0.2.2.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-03-13 14:44:56 EDT
ghc-base-unicode-symbols-0.2.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-03-17 19:40:11 EDT
ghc-base-unicode-symbols-0.2.2.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2012-03-17 19:53:08 EDT
ghc-base-unicode-symbols-0.2.2.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.